org.apache.cassandra.io.compress

## Class CompressedThrottledReader

- java.lang.Object
- - java.io.InputStream
  - - org.apache.cassandra.io.util.AbstractDataInput
    - - org.apache.cassandra.io.util.RandomAccessReader
      - - org.apache.cassandra.io.compress.CompressedRandomAccessReader
        - - org.apache.cassandra.io.compress.CompressedThrottledReader

All Implemented Interfaces:
  java.io.Closeable, java.io.DataInput, java.lang.AutoCloseable, FileDataInput

    public class CompressedThrottledReader
    extends CompressedRandomAccessReader

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.io.util.RandomAccessReader

`RandomAccessReader.BufferedRandomAccessFileMark`

### Field Summary

### Fields inherited from class org.apache.cassandra.io.util.RandomAccessReader

`buffer, BUFFER_SIZE, bufferOffset, channel, DEFAULT_BUFFER_SIZE, markedPointer, owner`

### Constructor Summary

Constructors
Constructor and Description
`CompressedThrottledReader(ChannelProxy channel, CompressionMetadata metadata, ICompressedFile file, com.google.common.util.concurrent.RateLimiter limiter)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static CompressedThrottledReader` `open(ICompressedFile file, com.google.common.util.concurrent.RateLimiter limiter)`
`protected void` `reBuffer()` Read data from file starting from current currentOffset to populate buffer.

### Methods inherited from class org.apache.cassandra.io.compress.CompressedRandomAccessReader

`allocateBuffer, deallocate, getTotalBufferSize, length, open, open, toString`

### Methods inherited from class org.apache.cassandra.io.util.RandomAccessReader

`bytesPastMark, bytesPastMark, bytesRemaining, close, current, getChannel, getFilePointer, getPath, getPosition, getPositionLimit, isEOF, mark, open, open, open, open, read, read, read, readBytes, reset, reset, seek`

### Methods inherited from class org.apache.cassandra.io.util.AbstractDataInput

`readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, skipBytes`

### Methods inherited from class java.io.InputStream

`available, mark, markSupported, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.io.DataInput

`readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, skipBytes`

### Constructor Detail

#### CompressedThrottledReader

    public CompressedThrottledReader(ChannelProxy channel,
                                     CompressionMetadata metadata,
                                     ICompressedFile file,
                                     com.google.common.util.concurrent.RateLimiter limiter)

### Method Detail

#### reBuffer

    protected void reBuffer()

Description copied from class: `RandomAccessReader`
Read data from file starting from current currentOffset to populate buffer.

Overrides:
  `reBuffer` in class `CompressedRandomAccessReader`

#### open

    public static CompressedThrottledReader open(ICompressedFile file,
                                                 com.google.common.util.concurrent.RateLimiter limiter)